#
# Makefile for lcrash command library
#
# Copyright 1999 Silicon Graphics, Inc. All rights reserved.
#
DEPTH  = ..

include $(DEPTH)/commondefs

TARGETS   = $(DEPTH)/libcmds.a
CFILES    = command.c cmds.c cmd_base.c cmd_deftask.c \
	    cmd_dis.c cmd_dump.c cmd_findsym.c cmd_help.c cmd_mmap.c \
	    cmd_page.c cmd_print.c cmd_quit.c cmd_stat.c cmd_strace.c \
	    cmd_task.c cmd_trace.c cmd_vtop.c cmd_history.c \
	    cmd_livedump.c cmd_report.c cmd_sizeof.c cmd_whatis.c \
	    cmd_ldcmds.c cmd_namelist.c cmd_walk.c cmd_module.c \
	    cmd_symtab.c
OFILES    = $(CFILES:.c=.o)

all: default

clean:
	rm -f *.o

clobber: clean
	rm -f $(TARGETS)

exports install:

$(OFILES): $(HEADERS)

default: $(TARGETS)

$(TARGETS): $(OFILES) 
	$(AR) ccurl $(TARGETS) $(OFILES)

include $(TOPDIR)/Rules.make
